#ifndef __MDF_EXAMPLE_COMMON_H
#define __MDF_EXAMPLE_COMMON_H

/* try to logon to the server and await reply from server */
int send_logon (mdf_t mdf, mdf_message_t message, char *appliction, char *username, char *password);

/* simply tell the server good-bye */
void send_logoff (mdf_t mdf, mdf_message_t message);

/* print the header information: insref, mref and message class */
void print_header (const uint16_t mref, const uint64_t mclass, const uint64_t insref);

/* print the field as both the numeric value and the C define */
void print_field (const uint32_t tag, char * const value);

/* extract and print tabular data, MDF_F_CONSTITUENTS and MDF_F_TICKSIZES 
 * are currently the only fields that carry tabular data */
void print_tabular (char *value);

/* extract the name of the underlying instrument from the name of a derivative,
 * the returned string must be freed by the caller */
char *get_underlying_name (const char * const name);

#endif

